package com.hzya.frame.seeyon.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.seeyon.dao.ICtpAttachmentDao;
import com.hzya.frame.seeyon.dao.ICtpFileDao;
import com.hzya.frame.seeyon.entity.CtpAttachmentEntity;
import com.hzya.frame.seeyon.entity.CtpFileEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description
 * @Author xiangerlin
 * @Date 2024/6/17 15:22
 **/
@Repository()
public class CtpFileDaoImpl extends MybatisGenericDao<CtpFileEntity,String> implements ICtpFileDao {

    @DS("WS_OA")
    @Override
    public List<CtpFileEntity> queryFileById(CtpFileEntity ctpFileEntity) {
        return (List<CtpFileEntity>) super.selectList("com.hzya.frame.seeyon.entity.CtpFileEntity.CtpFileEntity_list_base",ctpFileEntity);
    }
}
